# Unnofficial Weapon Balance Patch

## Overview
That mod is aimed at giving some love to some weapons you almost certanly skip during your general playthrough by giving them a special effect, changing their behavior, providing more enchantability or just changing some stats.

## Installation
- 1 Download [BepInEx](https://outward.thunderstore.io/package/BepInEx/BepInExPack_Outward/)
- 2 Download [SideLoader](https://outward.thunderstore.io/package/sinai-dev/SideLoader/)
- 3 Download [SideLoaderExtended](https://outward.thunderstore.io/package/SLExtendedEffects/SideLoader_ExtendedEffects/)
- 4 Unpack the contents of the zip file into the ...OutwardDefinitiveEd\BepInEx\plugins\WBP

### You may install modules of that mode seperately if you want to have specific changes, but don't want to have all of them. Isntall either the whole package from that page, or seperately. Do not install both!

#### If you want to read more about changes I made, each link has my thought-process behind the change. If you disagree with any of them - you're free to write me. 

## List of Changes:

### [ARTIFACT CHANGES - Main Module](https://outward.thunderstore.io/package/Proboina/Artifacts_Reworked/)

- **Assasin Sword and Claymore**: have 1.1 speed and apply "Crippled" instead of "Slow Down"

- **Bone Pistol**: can be enchanted with "Spectre's Wail"

- **Brand**: has a 15% chance to critical strike for 50 Raw, now does 26 Physical 14 Frost and no longer applies "Chill" and "Pain"

- **Cerulean Saber**: has 1.1 speed

- **Dragon Shield**: new Legacy Item: Awakened Dragon Shield. Better stats, 7% fire damage bonus and breathes fire on successful charge

- **Fabulous Palladium Shield**: Applies all elemental Hexes instead of "Elemental Vulnerability". Praise me, hex mages

- **Frozen Chakram**: can be enchanted with "Snow"

- **Giantkind axe**: can be enchanted with "War Memento"

- **Giantkind halberd**: does 25 Physical 10 Lightning, can be enchanted with "Priest's Prayers"

- **Gold-Lich Weapons (except Shield)**: can be enchanted with "Flux"

- **Golem Rapier**: has 1.2 speed and a bit lower impact

- **Jade Lich Scimitar**: 16 Physical 16 Decay, no mana cost reduction, corrupts the wielder with every swing (around 5 hits for 1%)

- **Jade-Lich Mace**: has 7% mana cost reduction and applies another 15% for 10 seconds after a few hits.

- **Livingwood axe**:  16 Physical 6 Etherial, applies "Aetherbomb" with low buildup

- **Manticore Greatmace and Dagger**: can be enchanted with "Instinct"

- **Mantis Greatpick**: can be enchanted with "Weightless"

- **Mysterious (pizza) Chakram**: can be enchanted with "Abundance". Actively regen your food with pot helmet, don't let anyone in slums starve!

- **Old Legion Gladius**:  has a 4% chance to critical strike for 50 Raw

- **Palladium Knuckles**: no longer apply "Elemental Vulnerability"

- **Pathfinder Claymore**:  Physical and Decay damage values swapped, 1.0 speed, does not apply "Elemental Vulnerablity". Applies "Status Build up Resistance Down" both on player and enemy, inflicts "Curse" and "Extreme Poison"

- **Phytosaur Spear**: 34 Physical damage, can be enchanted with "Abomination"

- **Porcelain fists**: apply "Calcification" status effect that stuns enemies for a couple of seconds

- **Pyrite Greathammer**: can be enchanted with "Forge Fire"

- **Royal-Great Khopesh and Desert Khopesh**: can be enchanted with "Desert's Sun"

- **Sandrose Axe**: also applies "Burning"

- **Thorn Chakram**: can be enchanted with "Wendigo's Breath"

- **Thorny Claymore and Spear**: Different recipe, 22 Physical 22 Etherial, applies "Elemental Vulnerability"

- **Thrice-Wrought Halberd**: deals 11 Fire, 11 Frost and 11 Etherial damage

- **Werlig Spear**: deals 30 Physical, but has a Chain Lightning effect, dealing 16 Lightning damage to maximum of 4 targets nearby

- **Zagis' Saw**: also inflicts "Extreme Bleeding", 0.9 speed instead of 0.8


### SETS

- **[Astral set](https://outward.thunderstore.io/package/Proboina/Astral_Set/)**: can be used as a Lexicon
- **[Beast golem set](https://outward.thunderstore.io/package/Proboina/Beast_Golem_Set/)**: does not apply "Bleeding" anymore, but has 1.2 base speed, has a new enchantment
- **[Chalcedony set](https://outward.thunderstore.io/package/Proboina/Chalcedony_Set/)**: deals Raw damage instead of Physical and "Hampered" instead of "Slow Down", can be enchanted with "Snow"
- **[Forged Glass set](https://outward.thunderstore.io/package/Proboina/Forged_Glass_and_Meteoric_Sets/)**:  also applies "Holy Blaze"
- **[Galvanic set](https://outward.thunderstore.io/package/Proboina/Galvanic_Set/)**: half the damage converted to Frost damage, applies "Chill" and "Pain". Chakram can be enchanted with "Wendigo's Breath"
- **[Hailfrost set](https://outward.thunderstore.io/package/Proboina/Hailfrost_Set/)**: pure Frost damage, but a bit lower damage overall.
- **[Horror set](https://outward.thunderstore.io/package/Proboina/Horror_Set/)**: can be enchanted with "Scourge's Outbreak", 0.9 speed, slightly lower Physical damage and lower base cost
- **[Kazite set](https://outward.thunderstore.io/package/Proboina/Kazite_Set/)**: applies "Unerring Read" on wielder with 7% chance, maces give 12%, knuckles and chakram 4%, shield and pistol 23%
- **[Meteoric set](https://outward.thunderstore.io/package/Proboina/Forged_Glass_and_Meteoric_Sets/)**: applies "Blaze" instead of "Holy Blaze", like a proper fire weapon upgrade should
- **[Smoke set](https://outward.thunderstore.io/package/Proboina/Smoke_Set/)**: applies "Weaken" and "Sapped" instead of "Blaze", makes enemies look engulfed in smoke. Cool!
- **[Vampiric set](https://outward.thunderstore.io/package/Proboina/Vampiric_Set/)**: has 1.0 speed and are 7 TIMES faster to acquire. 2500 damage instead of 17500. Plus I raised leech on maces a tiny bit
- **[Wolf set](https://outward.thunderstore.io/package/Proboina/Wolf_Set/)**: no longer applies "Cripple", can be enchanted with "The Good Moon"


### [STAVES](https://outward.thunderstore.io/package/Proboina/Staves_Reworked/)

- **Master's Staff** and **Ivory Master's Staff**: have base 5% Cooldown Reduction
- **Calygrey Staff** and **Ancient Calygrey Staff**: are 2-Handed Maces with appropriate stats, but keeping the magic properties. Great for "Crescendo"!
- **Compasswood Staff**: does 15 Fire 15 Physical, has 10% Cooldown Reduction and gives 10% movement speed bonus
- **Rotwood Staff**:  has 10% Cooldown Reduction, gives 5% movement speed bonus and 0.1 mana per second
- **Jade-Lich Staff**: does 15 Decay 15 Physical, 5% Cooldown Reduction, 3 Barrier and applies Corruption on player
- **Cracked Red Moon**: does pure Fire damage and has 25% Fire damage bonus
- **Revenant Moon**: is OP (25 Etherial damage, 25% Etherial and Fire damage bonus and can be used as a lexicon, no longer applies "Blaze")

### [ARROWS](https://outward.thunderstore.io/package/Proboina/Arrow_Recipes_Reworked/)

- **Arrowhead Kit (x3)**: can be crafted with 3 "Iron Spikes" and "Palladium Scrap" in survival menu
- **Poison Arrow (x3)**: can be also crafted with 3 "Arrows" and a "Poison Rag" in survival menu
- **Flaming Arrow (x3)**: can be also crafted with 3 "Arrows" and a "Fire Rag" in survival menu
- **Forged Arrow (x3)**: can be crafted with "Iron Spike" and" Arrowhead Kit" in survival menu
- **Palladium Arrow**: crafted in survival menu instead of alchemy, no changes to the recipe

### New enchantments and changes

- **Jade Mirror** - Jade-Lich Staff - 100% status resistance to all poisons, even marsh water
- **Golem's Effectiveness** - Golem Rapier, Beast Golem weapons - +0.1 speed and "Pain" buildup, making those 3 the fastest weapons in the game
- **Calygrey's Valor** - Calygrey Mace, Ancient Calygrey Mace - +0.1 speed and 12 "Rage" buildup on player
- **The Good Moon** - Wolf set - does 15% mana steal instead of 20%, no longer applies to Rondel and Shiv daggers
- **Redemption** - also adds 17 Lightning and removes 12 Physical damage
- **Razor of Woe** - Rondel and Shiv daggerss - adds a 1% chance to instantly kill a target. Enchanting Guild recipe, requires "Dweller's Brain".
- **Monk Training** - Quarterstaff - sets damage to 45 Physical and +5% movement speed. Enchanting Guild recipe, requires "Diamond Dust".
- **Whiplash** - adds 15% Physical instead of 10%

- all new enchanting recipes are sold by Hermit and Harmattan vendors. All changes in existing enchants are reflected in existing recipes. 
- P.s. No alchemy station arrow recipes were changed 
- P.p.s. Every change with "also" means that the new effect is added on top of existing one

#
Unfinished features:
 Butcher's Cleaver deals etherial damage just as dreamer's halberd and inflicts Fear status effect. Currently fear is bugged. Tried to enlarge Giantkind weapons, but it didn't work, looking for better pills.

- Report to me any balance changes you feel need to be done on the [Outward Modding Community](https://discord.gg/zKyfGmy7TR) Discord
I'd love to hear if you have any other ideas for improvements. Proboina-Workshop channel.

## Special thanks
- **Sinai** for giving me confidence in my project
- **Emo** for helping me out in every way possible
- **Iggy** for teaching me the basics
- **Avrixel** for a bunch of ideas and help implementing them
- And everyone in the awesome discord modding community

Have fun!

![Awakened Dragon Shield](https://i.imgur.com/q7PRNn8.png)
![Chain Lightning](https://i.imgur.com/2sSJ87K.gif)
## Changelog:

- `1.0.0`: initial release
- `1.0.4`: added r2modman compatibility
- `1.0.6`: addeed palladium to the arrowhead recipe
- `1.1.0`: Finally Modular! Plus a lot of changes and corections, 3 new sets and a little bit more on top. All the changes you can see in Discord channel.
- `1.1.3`: Added Werlig Spear with Chain Lightning Effect
- `1.1.5`: Returned half of the Etherial damage to Livingwood Axe; Porcelain Fists stun for longer; Fixed Forged Glass and Werling spear not having new effects.
- `1.2.0`: Added Galvanic and Hailfrost sets; Fixed Redemtion working improperly; Razor of Woe enchanting item changed for better compatibility.
